MCP Reference: slidesmcp.googleapis.com

Tools for Google Slides.

A Model Context Protocol (MCP) server acts as a proxy between an external service that provides context, data, or capabilities to a Large Language Model (LLM) or AI application. MCP servers connect AI applications to external systems such as databases and web services, translating their responses into a format that the AI application can understand.

MCP Tools

An MCP tool is a function or executable capability that an MCP server exposes to a LLM or AI application to perform an action in the real world.

Tools

The slidesmcp.googleapis.com MCP server has the following tools:

MCP Tools
read_presentation

Read a JSON representation of a Google Slides presentation.

Corresponds to presentations.get in the REST API.

update_presentation

Updates a presentation with set of batchUpdate requests.

Corresponds to presentations.batchUpdate in the REST API.

The list of possible updates is:

  • createSlide: Creates a new slide.
  • createShape: Creates a new shape.
  • createTable: Creates a new table.
  • insertText: Inserts text into a shape or table cell.
  • insertTableRows: Inserts rows into a table.
  • insertTableColumns: Inserts columns into a table.
  • deleteTableRow: Deletes a row from a table.
  • deleteTableColumn: Deletes a column from a table.
  • replaceAllText: Replaces all instances of specified text.
  • deleteObject: Deletes a page or page element from the presentation.
  • updatePageElementTransform: Updates the transform of a page element.
  • updateSlidesPosition: Updates the position of a set of slides in the presentation.
  • deleteText: Deletes text from a shape or a table cell.
  • createImage: Creates an image.
  • createVideo: Creates a video.
  • createSheetsChart: Creates an embedded Google Sheets chart.
  • createLine: Creates a line.
  • refreshSheetsChart: Refreshes a Google Sheets chart.
  • updateShapeProperties: Updates the properties of a Shape.
  • updateImageProperties: Updates the properties of an Image.
  • updateVideoProperties: Updates the properties of a Video.
  • updatePageProperties: Updates the properties of a Page.
  • updateTableCellProperties: Updates the properties of a TableCell.
  • updateLineProperties: Updates the properties of a Line.
  • createParagraphBullets: Creates bullets for paragraphs.
  • replaceAllShapesWithImage: Replaces all shapes matching some criteria with an image.
  • duplicateObject: Duplicates a slide or page element.
  • updateTextStyle: Updates the styling of text within a Shape or Table.
  • replaceAllShapesWithSheetsChart: Replaces all shapes matching some criteria with a Google Sheets chart.
  • deleteParagraphBullets: Deletes bullets from paragraphs.
  • updateParagraphStyle: Updates the styling of paragraphs within a Shape or Table.
  • updateTableBorderProperties: Updates the properties of the table borders in a Table.
  • updateTableColumnProperties: Updates the properties of a Table column.
  • updateTableRowProperties: Updates the properties of a Table row.
  • mergeTableCells: Merges cells in a Table.
  • unmergeTableCells: Unmerges cells in a Table.
  • groupObjects: Groups objects, such as page elements.
  • ungroupObjects: Ungroups objects, such as groups.
  • updatePageElementAltText: Updates the alt text title and/or description of a page element.
  • replaceImage: Replaces an existing image with a new image.
  • updateSlideProperties: Updates the properties of a Slide.
  • updatePageElementsZOrder: Updates the Z-order of page elements.
  • importSlides: Imports one or more specified slide pages from a source presentation to this (destination) presentation.
  • updateLineCategory: Updates the category of a line.
  • rerouteLine: Reroutes a line such that it's connected at the two closest connection sites on the connected page elements.
  • createAudio: Creates an audio in this presentation.
  • updateAudioProperties: Updates the properties of an Audio.

Get MCP tool specifications

To get the MCP tool specifications for all tools in an MCP server, use the tools/list method. The following example demonstrates how to use curl to list all tools and their specifications currently available within the MCP server.

Curl Request
curl --location 'https://slidesmcp.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
    "method": "tools/list",
    "jsonrpc": "2.0",
    "id": 1
}'